﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Options;
using Performance.DtoModels;
using Performance.DtoModels.AppSettings;
using Performance.EntityModels;
using Performance.Infrastructure;

namespace Performance.Api.Controllers
{
    [Route("api/[controller]")]
    public class TemplateController : Controller
    {
        public Application emailOptions;
        public TemplateController(IOptions<Application> emailOptions)
        {
            this.emailOptions = emailOptions.Value;
        }

        [Route("gettest")]
        public ApiResponse apiResponse()
        {
            var a = emailOptions.Receiver;
            return new ApiResponse(ResponseType.OK, "", new per_allot { });
        }
    }
}